Index: hidkbd.c
===================================================================
RCS file: /cvs/src/sys/dev/usb/hidkbd.c,v
retrieving revision 1.5
diff -u -p -r1.5 hidkbd.c
--- hidkbd.c	9 Nov 2011 14:22:38 -0000	1.5
+++ hidkbd.c	18 Apr 2012 23:53:55 -0000
@@ -485,6 +485,8 @@ hidkbd_set_leds(struct hidkbd *kbd, int 
 		*report |= 1 << kbd->sc_numloc.pos;
 	if ((leds & WSKBD_LED_CAPS) && kbd->sc_capsloc.size == 1)
 		*report |= 1 << kbd->sc_capsloc.pos;
+	if ((leds & WSKBD_LED_COMPOSE) && kbd->sc_compose.size == 1)
+		*report |= 1 << kbd->sc_compose.pos;
 
 	return 1;
 }
@@ -613,6 +615,8 @@ hidkbd_parse_desc(struct hidkbd *kbd, in
 	    id, hid_output, &kbd->sc_capsloc, NULL);
 	hid_locate(desc, dlen, HID_USAGE2(HUP_LEDS, HUD_LED_SCROLL_LOCK),
 	    id, hid_output, &kbd->sc_scroloc, NULL);
+	hid_locate(desc, dlen, HID_USAGE2(HUP_LEDS, HUD_LED_COMPOSE),
+	    id, hid_output, &kbd->sc_compose, NULL);
 
 	return (NULL);
 }
Index: hidkbdsc.h
===================================================================
RCS file: /cvs/src/sys/dev/usb/hidkbdsc.h,v
retrieving revision 1.2
diff -u -p -r1.2 hidkbdsc.h
--- hidkbdsc.h	9 Nov 2011 14:22:38 -0000	1.2
+++ hidkbdsc.h	18 Apr 2012 23:53:55 -0000
@@ -61,6 +61,7 @@ struct hidkbd {
 	struct hid_location sc_numloc;
 	struct hid_location sc_capsloc;
 	struct hid_location sc_scroloc;
+	struct hid_location sc_compose;
 	int sc_leds;
 
 	/* state information */
Index: ukbd.c
===================================================================
RCS file: /cvs/src/sys/dev/usb/ukbd.c,v
retrieving revision 1.57
diff -u -p -r1.57 ukbd.c
--- ukbd.c	29 Jan 2012 11:04:19 -0000	1.57
+++ ukbd.c	18 Apr 2012 23:53:55 -0000
@@ -288,7 +288,8 @@ ukbd_attach(struct device *parent, struc
 	}
 
 	/* Flash the leds; no real purpose, just shows we're alive. */
-	ukbd_set_leds(sc, WSKBD_LED_SCROLL | WSKBD_LED_NUM | WSKBD_LED_CAPS);
+	ukbd_set_leds(sc, WSKBD_LED_SCROLL | WSKBD_LED_NUM |
+		          WSKBD_LED_CAPS | WSKBD_LED_COMPOSE);
 	usbd_delay_ms(uha->parent->sc_udev, 400);
 	ukbd_set_leds(sc, 0);
 
